%global snapshot e000f355b658fdac0038358e9a67f86c9b498c7b
%global YYYYmmdd 20120627
%global shorttag %(cut -c 1-7 <<<%{snapshot})
%global checkout %{YYYYmmdd}git%{shorttag}

Name:           java-deptools
Version:        0
Release:        %mkrel 0.14.%{checkout}.6
Summary:        Java RPM dependency tools
Group:          Development/Java
BuildArch:      noarch

License:        ASL 2.0
URL:            https://git.fedorahosted.org/git/?p=java-deptools.git
Source0:        https://git.fedorahosted.org/git/?p=java-deptools.git;a=snapshot;h=%{snapshot};sf=tbz2;foo=/%{name}-%{shorttag}.tar.bz2

BuildRequires:  maven-local
BuildRequires:  apache-commons-cli
BuildRequires:  apache-commons-compress
BuildRequires:  apache-commons-lang
BuildRequires:  bcel
BuildRequires:  xz-java

%description
This package provides tools for tracking dependencies
between Java packages in RPM-based distributions.

%package javadoc
Summary:        API documentation for %{name}
Group:          Documentation

%description javadoc
This package contains %{summary}.

%prep
%setup -q -n %{name}-%{shorttag}

%build
%mvn_file : %{name}
%mvn_build

%install
%mvn_install

%{jpackage_script                                                \
\${JAVA_DEPTOOLS_DATABASE:+-z="\${JAVA_DEPTOOLS_DATABASE}"}      \
\-ea                                                             \
org.fedoraproject.javadeptools.Main                              \
java-deptools:commons-cli:commons-compress:commons-lang:bcel:xz-java  \
java-deptools                                                    \
true                                                             \
}

%files -f .mfiles
%doc LICENSE NOTICE
%{_bindir}/%{name}

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE



%changelog
* Fri May 24 2024 ns80 <ns80> 0-0.14.20120627gite000f35.6.mga10
+ Revision: 2067043
- rebuild for java 21

* Sun Mar 27 2022 umeabot <umeabot> 0-0.14.20120627gite000f35.5.mga9
+ Revision: 1828973
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 0-0.14.20120627gite000f35.4.mga8
+ Revision: 1490936
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0-0.14.20120627gite000f35.3.mga7
+ Revision: 1262702
- Mageia 7 Mass Rebuild

* Wed Mar 02 2016 neoclust <neoclust> 0-0.14.20120627gite000f35.2.mga6
+ Revision: 981987
- Second rebuild of the java stack

* Mon Feb 29 2016 umeabot <umeabot> 0-0.14.20120627gite000f35.1.mga6
+ Revision: 980945
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0-0.5.20120627gite000f35.6.mga5
+ Revision: 740318
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Dec 16 2013 dmorgan <dmorgan> 0-0.5.20120627gite000f35.4.mga4
+ Revision: 557597
- Build with xmvn
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0-0.5.20120627gite000f35.3.mga3
+ Revision: 354794
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 dmorgan <dmorgan> 0-0.5.20120627gite000f35.2.mga3
+ Revision: 267792
- Fix xz-java classpath

* Wed Jul 04 2012 dmorgan <dmorgan> 0-0.5.20120627gite000f35.1.mga3
+ Revision: 267185
- imported package java-deptools


* Thu Jun 28 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 0-0.5.20120627gite000f35
- Add shell script in bindir

* Wed Jun 27 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 0-0.4.20120627gite000f35
- Update to the latest upstream snapshot

* Tue Jun 26 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 0-0.3.20120626git9801c21
- Update to the latest upstream snapshot

* Fri Jun 22 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 0-0.2.20120621git2a6a72d
- Reformat changelog

* Thu Jun 21 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 0-0.1.20120621git2a6a72d
- Initial packaging
